package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type EggEnergyFundDataDao interface {
	//TODO:: You can add specific method definitions here
	EggEnergyFundDataFindAndCount(page, limit, kind int, startAt, endAt string) ([]model.EggEnergyFundData, int64, error)
	EggEnergyFundDataInsert(eggEnergyFundData *model.EggEnergyFundData) (int, error)
	EggEnergyFundDataFindNotFinish() ([]model.EggEnergyFundData, error)
	EggEnergyFundDataUpdateBySession(session *xorm.Session, m model.EggEnergyFundData, forceColumns ...string) (int64, error)
	EggEnergyFundDataGetOneByParams(params map[string]interface{}) (*model.EggEnergyFundData, error)
}
