﻿package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type PlatformRevenueDataDao interface {
	//TODO:: You can add specific method definitions here
	PlatformRevenueDataInsert(platformRevenueData *model.PlatformRevenueData) (int, error)
	PlatformRevenueDataFindAndCount(page, limit int, startAt, endAt string, kind int) ([]model.PlatformRevenueData, int64, error)
	PlatformRevenueDataFindNotFinish() ([]model.PlatformRevenueData, error)
	PlatformRevenueDataUpdateBySession(session *xorm.Session, m model.PlatformRevenueData, forceColumns ...string) (int64, error)
	PlatformRevenueDataGetOneByParams(params map[string]interface{}) (*model.PlatformRevenueData, error)
}
