﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyUserEggIndexWeightDb(engine *xorm.Engine) dao.EggEnergyUserEggIndexWeightDao {
	return &EggEnergyUserEggIndexWeightDb{Db: engine}
}

type EggEnergyUserEggIndexWeightDb struct {
	Db *xorm.Engine
}

func (e EggEnergyUserEggIndexWeightDb) EggEnergyUserEggIndexWeightGet() (*model.EggEnergyUserEggIndexWeight, bool, error) {
	var m model.EggEnergyUserEggIndexWeight
	exist, err := e.Db.Desc("id").Get(&m)
	if err != nil {
		return nil, false, zhios_order_relate_logx.Error(err.Error())
	}
	return &m, exist, nil
}
