package model

import (
	"time"
)

type JpushNotice struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Title     string    `json:"title" xorm:"VARCHAR(255)"`
	Content   string    `json:"content" xorm:"VARCHAR(255)"`
	Skip      string    `json:"skip" xorm:"TEXT"`
	CreateAt  time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt  time.Time `json:"update_at" xorm:"DATETIME"`
	Day       int       `json:"day" xorm:"comment('部分通知需要时间 X小时') INT(11)"`
	Type      string    `json:"type" xorm:"VARCHAR(255)"`
	NoticeDay int       `json:"notice_day" xorm:"default 0 comment('部分通知需要时间 隔X小时通知') INT(11)"`
	JpushOpen int       `json:"jpush_open" xorm:"default 0 INT(1)"`
	SmsOpen   int       `json:"sms_open" xorm:"default 0 INT(1)"`
	SmsCode   string    `json:"sms_code" xorm:"VARCHAR(255)"`
}
